Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.collection
Class CollectionRegionImpl

    java.lang.Object
      org.hibernate.cache.infinispan.impl.BaseRegion
          org.hibernate.cache.infinispan.impl.BaseTransactionalDataRegion
              org.hibernate.cache.infinispan.collection.CollectionRegionImpl

All Implemented Interfaces:
  CollectionRegion, Region, TransactionalDataRegion

    public class CollectionRegionImpl

extends BaseTransactionalDataRegion
implements CollectionRegion

Since:
  3.5

Field Summary

Fields inherited from class org.hibernate.cache.infinispan.impl.BaseRegion
`address, cacheAdapter, invalidateState, invalidationMutex, replication, transactionManager`

Constructor Summary
`CollectionRegionImpl(CacheAdapter cacheAdapter, String name, CacheDataDescription metadata, TransactionManager transactionManager, RegionFactory factory)`

Method Summary
`CollectionRegionAccessStrategy` | `buildAccessStrategy(AccessType accessType)` Build an access strategy for the requested access type.
`PutFromLoadValidator` | `getPutFromLoadValidator()`

Methods inherited from class org.hibernate.cache.infinispan.impl.BaseTransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from class org.hibernate.cache.infinispan.impl.BaseRegion
`checkValid, contains, destroy, get, getAddress, getCacheAdapter, getElementCountInMemory, getElementCountOnDisk, getName, getOwnerForPut, getSizeInMemory, getTimeout, getTransactionManager, invalidateRegion, isValid, nextTimestamp, resume, suspend, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.spi.TransactionalDataRegion
`getCacheDataDescription, isTransactionAware`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### CollectionRegionImpl

    public CollectionRegionImpl(CacheAdapter cacheAdapter,
                                String name,
                                CacheDataDescription metadata,
                                TransactionManager transactionManager,
                                RegionFactory factory)

Method Detail

### buildAccessStrategy

    public CollectionRegionAccessStrategy buildAccessStrategy(AccessType accessType)
                                                       throws CacheException

  Description copied from interface: `CollectionRegion`
  Build an access strategy for the requested access type.

  Specified by:
    `buildAccessStrategy` in interface `CollectionRegion`
  Parameters:
    `accessType` - The type of access strategy to build; never null.
  Returns:
    The appropriate strategy contract for accessing this region for the requested type of access.
  Throws:
    `CacheException` - Usually indicates mis-configuration.

### getPutFromLoadValidator

    public PutFromLoadValidator getPutFromLoadValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.